import { DomainChart } from "./DomainChart";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { HorizontalAlignment } from "igniteui-react-core/ES2015/HorizontalAlignment";
import { VerticalAlignment } from "igniteui-react-core/ES2015/VerticalAlignment";
import { Visibility } from "igniteui-react-core/ES2015/Visibility";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { Axis } from "./Axis";
import { IEnumerable$1, Type } from "igniteui-react-core/ES2015/type";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { DataSeries } from "igniteui-react-core/ES2015/DataSeries";
import { Series } from "./Series";
import { TitleSettings } from "./TitleSettings";
import { XamDataChart } from "./XamDataChart";
import { CategoryAxisBase } from "./CategoryAxisBase";
export declare abstract class XYChart extends DomainChart {
    provideContainer(a: any): void;
    protected e1(): void;
    protected fk(a: string, b: any, c: any): void;
    private gm;
    go: (item: any) => string;
    private gn;
    gp: (item: any) => string;
    private gz;
    h1: number;
    private g1;
    h3: number;
    private g0;
    h2: number;
    private gy;
    h0: number;
    private hg;
    ij: number;
    private hi;
    il: number;
    private hh;
    ik: number;
    private hf;
    ii: number;
    private lw;
    ma: Brush;
    private l3;
    mh: Brush;
    private ha;
    ic: number;
    private hr;
    iv: number;
    private g9;
    ib: number;
    private hq;
    iu: number;
    private hc;
    ie: number;
    private ht;
    ix: number;
    private hb;
    id: number;
    private hs;
    iw: number;
    private g8;
    ia: number;
    private hp;
    it: number;
    private l2;
    mg: Brush;
    private l9;
    mn: Brush;
    protected fl(a: string, b: any, c: any): void;
    private i2;
    jj: string;
    private i5;
    kl: string;
    private i4;
    j7: string;
    private i7;
    k9: string;
    private lf(a);
    private lh(a);
    constructor();
    protected fy(a: DataSeries): void;
    protected abstract gk(): Axis;
    protected abstract gl(): Axis;
    protected li(a: (arg1: Axis) => void): void;
    protected lj(a: (arg1: Axis) => void, b: string): void;
    protected ln(a: (arg1: Axis) => void, b: boolean): void;
    protected lm(a: (arg1: Axis) => void): void;
    protected ll(a: (arg1: TitleSettings) => void): void;
    protected lp(a: (arg1: TitleSettings) => void): void;
    protected lo(a: (arg1: AxisLabelSettings) => void): void;
    protected lk(a: (arg1: AxisLabelSettings) => void): void;
    hu(a: number): number;
    hw(a: number): number;
    hv(a: number): number;
    hx(a: number): number;
    protected fw(a: XamDataChart): void;
    static i8(a: CategoryAxisBase, b: IEnumerable$1<DataSeries>): string;
    protected ew(a: XamDataChart): void;
    protected e2(a: Series, b: number): void;
    protected le(a: Axis): void;
    protected lg(a: Axis): void;
    protected et(): void;
    protected lc(a: Axis, b: (arg1: AxisLabelSettings) => void): void;
    protected ld(a: Axis, b: (arg1: TitleSettings) => void): void;
    protected fj(a: string, b: any, c: any): void;
    private iy;
    i0: any;
    private iz;
    i1: any;
    private lx;
    mb: Brush;
    private l4;
    mi: Brush;
    private g2;
    h4: number;
    private hj;
    im: number;
    private g3;
    h5: number;
    private hk;
    io: number;
    private lz;
    md: Brush;
    private l6;
    mk: Brush;
    private l0;
    me: Brush;
    private l7;
    ml: Brush;
    private g4;
    h6: number;
    private hl;
    ip: number;
    private g5;
    h7: number;
    private hm;
    iq: number;
    private l1;
    mf: Brush;
    private l8;
    mm: Brush;
    private g6;
    h8: number;
    private hn;
    ir: number;
    private i3;
    jy: string;
    private i6;
    k0: string;
    private ly;
    mc: Brush;
    private l5;
    mj: Brush;
    private gx;
    hz: number;
    private he;
    ih: number;
    private gw;
    hy: number;
    private hd;
    ig: number;
    private g7;
    h9: number;
    private ho;
    is: number;
    private gs;
    gu: boolean;
    private gt;
    gv: boolean;
    private lr;
    lu: HorizontalAlignment;
    private mq;
    mt: VerticalAlignment;
    private lq;
    lt: HorizontalAlignment;
    private ls;
    protected get_lv(): HorizontalAlignment;
    protected set_lv(a: HorizontalAlignment): void;
    lv: HorizontalAlignment;
    private mo;
    mr: VerticalAlignment;
    private mp;
    ms: VerticalAlignment;
    private mu;
    mw: Visibility;
    private mv;
    mx: Visibility;
    private gq;
    protected get_gr(): AxisLabelsLocation;
    protected set_gr(a: AxisLabelsLocation): void;
    gr: AxisLabelsLocation;
    static $t: Type;
}
